<packet name="FlightPathsMsg">
	<version number="1">
		<u16 name="number_of_routes">
		<array name="route_length_array" count="var:number_of_routes">
			<u16 name="route_length">
		</array>
		<u16 name="number_of_routes2">
		<array name="routes_array" count="var:number_of_routes2">
			<u16 name="route_length2" if="var:number_of_routes">
			<array name="route_coords_array" count="var:route_length2">
				<f32 name="x">
				<f32 name="y">
				<f32 name="z">
			</array>
		</array>
	</version>
	<version number="1193">
		<u16 name="number_of_routes">
		<array name="route_length_array" count="var:number_of_routes">
			<u16 name="route_length">
		</array>
		<u16 name="number_of_routes2">
		<array name="routes_array" count="var:number_of_routes2">
			<u16 name="route_length2" if="var:number_of_routes">
			<array name="route_coords_array" count="var:route_length2">
				<f32 name="x">
				<f32 name="y">
				<f32 name="z">
			</array>
		</array>
		<u16 name="number_of_routes3">
		<array name="route_info" count="var:number_of_routes3">
			<u8 name="ground_mount">
			<u8 name="allow_dismount">
		</array>
		<u16 name="number_of_routes4">
		<array name="route_unknown" count="var:number_of_routes4">
			<u16 name="unknown">
		</array>
	</version>
</packet>